petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatCompositeSetScalings

Sets separate scaling factors for component matrices.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeSetScalings(Mat mat,const PetscScalar *scalings)

Logically Collective on Mat

### Input Parameter

| mat | - the composite matrix
| scalings | - array of scaling factors with scalings[i] being factor of i-th matrix, for i in [0, nmat)

### See Also

MatScale(), MatDiagonalScale(), MATCOMPOSITE

### Level

advanced

### Location

src/mat/impls/composite/mcomposite.c

### Examples

src/mat/tutorials/ex9.c.html

### Implementations

MatCompositeSetScalings_Composite in src/mat/impls/composite/mcomposite.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages